shishi_authenticator_add_random_subkey_etype(3)

NAME
shishi_authenticator_add_random_subkey_etype - API function

SYNOPSIS
#include <shishi.h>

int shishi_authenticator_add_random_subkey_etype(Shishi * handle, Shishi_asn1 authenticator, int etype);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 authenticator
    authenticator as allocated by shishi_authenticator().

int etype
    encryption type of random key to generate.

DESCRIPTION
Generate random subkey of indicated encryption type, and store it in the authenticator.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.